MessagingConsumerServiceCallInterface (consumer-service 1.9.2-3.5.0 API)
Date: 2014-11-12

org.gcube.messaging.common.consumer.stubs.calls

## Interface MessagingConsumerServiceCallInterface

- All Known Implementing Classes:
    MessagingConsumerServiceCall

      public interface MessagingConsumerServiceCallInterface

  Author:
    Andrea Manzi(CERN)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `backupAccountingDB()`
    `void` | `backupMonitoringDB()` backup DB
    `String` | `queryAccountingDB(String query)`
    `String` | `queryMonitoringDB(String query)`
    `String` | `querySystemAccountingDB(String query)`
    `void` | `sendReport(String date, org.gcube.common.core.scope.GCUBEScope scope)`

- - ### Method Detail

    - #### backupMonitoringDB

          void backupMonitoringDB()
                                  throws Exception

      backup DB
      Throws:
        `Exception` - Exception

    - #### backupAccountingDB

          void backupAccountingDB()
                                  throws Exception

      Throws:
        `Exception` - Exception

    - #### queryMonitoringDB

          String queryMonitoringDB(String query)
                                   throws Exception

      Parameters:
        `query` - query
      Returns:
        results
      Throws:
        `Exception` - Exception

    - #### queryAccountingDB

          String queryAccountingDB(String query)
                                   throws Exception

      Parameters:
        `query` - query
      Returns:
        results
      Throws:
        `Exception` - Exception

    - #### querySystemAccountingDB

          String querySystemAccountingDB(String query)
                                         throws Exception

      Parameters:
        `query` - query
      Returns:
        results
      Throws:
        `Exception` - Exception

    - #### sendReport

          void sendReport(String date,
                        org.gcube.common.core.scope.GCUBEScope scope)
                          throws Exception

      Parameters:
        `date` - date
        `scope` - scope
      Throws:
        `Exception` - Exception

Copyright © 2014. All Rights Reserved.